org.apache.synapse.commons.handlers

## Class HandlerResponse

- java.lang.Object
- - org.apache.synapse.commons.handlers.HandlerResponse

-     public class HandlerResponse
      extends java.lang.Object

  DTO class to hold response information of an Inbound endpoint handler execution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerResponse()`
    `HandlerResponse(boolean isError, int errorCode, java.lang.String errorMessage, boolean closeConnection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`
    `java.lang.String` | `getErrorMessage()`
    `java.lang.String` | `getErrorResponseString()`
    `boolean` | `isCloseConnection()`
    `boolean` | `isError()`
    `void` | `setCloseConnection(boolean closeConnection)`
    `void` | `setError(boolean error)`
    `void` | `setErrorCode(int errorCode)`
    `void` | `setErrorMessage(java.lang.String errorMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerResponse

          public HandlerResponse(boolean isError,
                                 int errorCode,
                                 java.lang.String errorMessage,
                                 boolean closeConnection)

    - #### HandlerResponse

          public HandlerResponse()

  - ### Method Detail

    - #### isError

          public boolean isError()

    - #### setError

          public void setError(boolean error)

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

    - #### isCloseConnection

          public boolean isCloseConnection()

    - #### setCloseConnection

          public void setCloseConnection(boolean closeConnection)

    - #### getErrorCode

          public int getErrorCode()

    - #### setErrorCode

          public void setErrorCode(int errorCode)

    - #### getErrorResponseString

          public java.lang.String getErrorResponseString()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.